Skip to main content
GET
/
transfers
/
{id}
Get Transfer
curl --request GET \
  --url https://api.otim.com/v0/transfers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "txfr_01JA1B2C3D4E5F6G7H8J9K0L",
  "sourceAccountId": "<string>",
  "destinationAccountId": "<string>",
  "counterpartyId": "<string>",
  "amount": "100.50",
  "currency": "USDC",
  "type": "book",
  "status": "completed",
  "direction": "outgoing",
  "description": "Payment to vendor",
  "createdAt": "2025-01-15T12:00:00Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Path Parameters

id
string
required

The ID of the transfer.

Response

Transfer details.

id
string
Example:

"txfr_01JA1B2C3D4E5F6G7H8J9K0L"

sourceAccountId
string
destinationAccountId
string | null
counterpartyId
string | null
amount
string
Example:

"100.50"

currency
string
Example:

"USDC"

type
enum<string>
Available options:
book,
wire,
on_chain
Example:

"book"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"completed"

direction
enum<string>
Available options:
outgoing,
incoming
Example:

"outgoing"

description
string | null
Example:

"Payment to vendor"

createdAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"